fileentry.h File Reference

Header file that defines FileEntry. More...

`#include "zipios++/zipios-config.h"`
`#include <string>`
`#include <vector>`
`#include "zipios++/meta-iostreams.h"`
`#include "zipios++/simplesmartptr.h"`
`#include "zipios++/zipios_defs.h"`
Include dependency graph for fileentry.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::FileEntry
| A FileEntry represents an entry in a FileCollection. More...
class | zipios::FileEntry::MatchName
| Function object to be used with the STL find_if algorithm to find a FileEntry in a container, which name (as obtained with FileEntry::getName()) is identical to the name specified in the MatchName constructor. More...
class | zipios::FileEntry::MatchFileName
| Function object to be used with the STL find_if algorithm to find a FileEntry in a container, which name (as obtained with FileEntry::getFileName()) is identical to the name specified in the MatchName constructor. More...
class | zipios::ostream

## Typedefs

typedef SimpleSmartPointer< FileEntry > | zipios::EntryPointer
| EntryPointer is a SimpleSmartPointer for FileEntry's.
typedef SimpleSmartPointer< const FileEntry > | zipios::ConstEntryPointer
| ConstEntryPointer is a SimpleSmartPointer for const FileEntry's.
typedef vector< EntryPointer > | zipios::Entries
| Entries is a vector of EntryPointer's.
typedef vector< EntryPointer > | zipios::ConstEntries
| ConstEntries is a vector of ConstEntryPointer's.

## Enumerations

enum | zipios::StorageMethod { STORED = 0 , SHRUNK , REDUCED1 , REDUCED2 , REDUCED3 , REDUCED4 , IMPLODED , RESERVED , DEFLATED }
| The types used with FileEntry::setMethod and FileEntry::getMethod. More...

## Functions

ostream & | zipios::operator<< (ostream &os, const FileEntry &entry)
ostream & | zipios::operator<< (ostream &os, const ConstEntryPointer &entry)

## Detailed Description

Header file that defines FileEntry.

Definition in file fileentry.h.

## Typedef Documentation

## ConstEntries

typedef vector< EntryPointer > zipios::ConstEntries

ConstEntries is a vector of ConstEntryPointer's.

Definition at line 43 of file fileentry.h.

## ConstEntryPointer

typedef SimpleSmartPointer< const FileEntry > zipios::ConstEntryPointer

ConstEntryPointer is a SimpleSmartPointer for const FileEntry's.

Definition at line 37 of file fileentry.h.

## Entries

typedef vector< EntryPointer > zipios::Entries

Entries is a vector of EntryPointer's.

Definition at line 40 of file fileentry.h.

## EntryPointer

typedef SimpleSmartPointer< FileEntry > zipios::EntryPointer

EntryPointer is a SimpleSmartPointer for FileEntry's.

Definition at line 33 of file fileentry.h.

## Enumeration Type Documentation

## StorageMethod

enum zipios::StorageMethod

The types used with FileEntry::setMethod and FileEntry::getMethod.

The current entries are the types supported by the zip format. The numbering also matches the numbering used in the zip file format, ie STORED is indicated by a 0 in the method field in a zip file and so on.

Definition at line 25 of file fileentry.h.

## Function Documentation

## operator<<() [1/2]

ostream & zipios::operator<< | ( | ostream & | os,
|  | const ConstEntryPointer & | entry )

inline

Definition at line 207 of file fileentry.h.

## operator<<() [2/2]

ostream & zipios::operator<< | ( | ostream & | os,
|  | const FileEntry & | entry )

Definition at line 11 of file fileentry.cpp.